@echo off
REM  ==========================================================================
REM
REM  This is the main entry point for the build system.
REM
REM  Use this file rather than 'ant' to ensure correct version and proper
REM  configuration of ant is used.
REM
REM
REM $Id: build.bat,v 1.2 2002/08/16 21:25:32 cney Exp $
REM Authors:
REM     Christophe Ney <cney@batisseurs.com>
REM  ==========================================================================

echo Zeus Build System
echo -------------------

if "%JAVA_HOME%" == "" goto error

set LOCAL_HOME=%~p0..
set LOCAL_CLASSPATH=%JAVA_HOME%\lib\tools.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%LOCAL_HOME%\lib\ant.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%LOCAL_HOME%\lib\xerces.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%LOCAL_HOME%\lib\optional.jar
set LOCAL_CLASSPATH=%LOCAL_CLASSPATH%;%LOCAL_HOME%\lib\junit.jar
set LOCAL_ANT_HOME=%LOCAL_HOME%

echo Building with classpath %LOCAL_CLASSPATH%
echo Starting Ant...

%JAVA_HOME%\bin\java.exe -Dant.home="%LOCAL_ANT_HOME%" -classpath "%LOCAL_CLASSPATH%" org.apache.tools.ant.Main %*

goto end

:error

echo ERROR: JAVA_HOME not found in your environment.
echo Please, set the JAVA_HOME variable in your environment to match the
echo location of the Java Virtual Machine you want to use.

:end

set LOCAL_HOME=
set LOCAL_CLASSPATH=
set LOCAL_ANT_HOME=
