#!/bin/sh
# ==========================================================================
#
# This is zeus source generator command
#
#  Use this file rather than 'java' to ensure correct proper
#  configuration is set.
#
#
# $Id: zeus.sh,v 1.1 2002/08/16 21:34:45 cney Exp $
# Authors:
#    Christophe Ney <cney@batisseurs.com>
# ==========================================================================

if [ "$JAVA_HOME" = "" ] ; then
  echo "ERROR: JAVA_HOME not found in your environment."
  echo
  echo "Please, set the JAVA_HOME variable in your environment to match the"
  echo "location of the Java Virtual Machine you want to use."
  exit 1
fi

LOCAL_HOME=${0%/*}/..
$JAVA_HOME/bin/java -jar $LOCAL_HOME/lib/zeus.jar $*
